
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.99999994f));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    int i10 = openMapRealVector7.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector7);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealVector11.setEntry(0, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5707963267948966d));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-1.0f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-1.5707963267948966d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector4 = openMapRealVector1.map(univariateRealFunction3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    double[] d_array7 = new double[] { (-1.0d), 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d8 = openMapRealVector4.cosine(d_array7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-0.99999994f), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-63.999996f));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0038848218538872d));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.5707963267948966d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 91.45317136336229d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap2 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(100, (-4.9E-324d));
    double d4 = openIntToDoubleHashMap2.remove(0);
    boolean b6 = openIntToDoubleHashMap2.containsKey(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector1.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = openMapRealVector8.cosine(realVector9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(91.45317136336229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4210854715202004E-14d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.4210854715202004E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1920928955078125E-7d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealVector4.setEntry((-1), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector(d_array9, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector6.combineToSelf(1.5707963267948966d, 1.0d, d_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array1 = new double[] {  };
    double d2 = openMapRealVector0.getL1Distance(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array3, false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6483608274590866d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix1 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector1.append(openMapRealVector13);
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.mapDivide(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = openMapRealVector18.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = openMapRealVector18.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector26 = openMapRealVector24.projection((org.apache.commons.math.linear.RealVector)openMapRealVector25);
    int i27 = openMapRealVector24.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = openMapRealVector18.append((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array30 = new double[] {  };
    double d31 = openMapRealVector29.getL1Distance(d_array30);
    double d32 = openMapRealVector28.getL1Distance(d_array30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector14.subtract(d_array30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.6483608274590866d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6483608274590866d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5607966601082315d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(10.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.0f));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    int i10 = openMapRealVector7.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array13 = new double[] {  };
    double d14 = openMapRealVector12.getL1Distance(d_array13);
    double d15 = openMapRealVector11.getL1Distance(d_array13);
    double[][] d_array_array16 = new double[][] { d_array13 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { (-1.0d) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(d_array1);
    boolean b3 = openMapRealVector2.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test048() {}
// Defects4J: flaky method
//   @Test
//   public void test048() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }
// 
// 
//     double d0 = org.apache.commons.math.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.7793185163818185d);
// 
//   }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7182818284590453d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector1.append(openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = openMapRealVector14.add(openMapRealVector15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector10.mapAdd((-1.5707963267948966d));
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector(d_array16, 100.0d);
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector13.combine((-1.0d), Double.NaN, d_array16);
    double d20 = openMapRealVector8.getDistance(d_array16);
    double[][] d_array_array21 = new double[][] { d_array16 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array21, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    int i2 = org.apache.commons.math.util.FastMath.max(10, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double d0 = org.apache.commons.math.linear.OpenMapRealVector.DEFAULT_ZERO_TOLERANCE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.0E-12d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    double d0 = org.apache.commons.math.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap((-1));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0E-12d, 0.7793185163818185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7793185163818185d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector((-1), 0);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector1.append(openMapRealVector13);
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.mapDivide(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = openMapRealVector18.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector24 = openMapRealVector22.projection((org.apache.commons.math.linear.RealVector)openMapRealVector23);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector21.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix26 = openMapRealVector14.outerProduct((org.apache.commons.math.linear.RealVector)openMapRealVector22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027241040673019475d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { (-1.0d) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(d_array1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector(d_array1);
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.mapDivideToSelf((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector10.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector13.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    double d18 = openMapRealVector5.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = openMapRealVector5.getEntry(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.0E-12d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-12d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.RealVector realVector8 = openMapRealVector1.mapMultiply(1.0E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-1.0038848218538872d), (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(d_array0, 91.45317136336229d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = openMapRealVector10.dotProduct(openMapRealVector19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    double d0 = org.apache.commons.math.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array1 = new double[] {  };
    double d2 = openMapRealVector0.getL1Distance(d_array1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector6 = openMapRealVector4.mapSubtractToSelf(1.4210854715202004E-14d);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealVector0.setSubVector(100, realVector6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-10));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-1.0038848218538872d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.addToEntry(0, 100, Double.NaN);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(91.45317136336229d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 182.90634272672457d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = openMapRealMatrix2.getColumn((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix4 = openMapRealMatrix2.power(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector6 = openMapRealVector4.projection((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    double d10 = openMapRealVector5.dotProduct(realVector9);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector13 = openMapRealVector11.projection((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector12.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector12.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector5.append(openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = openMapRealVector20.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector26 = openMapRealVector24.projection((org.apache.commons.math.linear.RealVector)openMapRealVector25);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = openMapRealVector23.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    double d28 = openMapRealVector5.getDistance(openMapRealVector24);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setColumnVector(0, (org.apache.commons.math.linear.RealVector)openMapRealVector5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.mapSubtractToSelf(1.4210854715202004E-14d);
    double d22 = openMapRealVector10.getL1Distance(realVector21);
    double d23 = openMapRealVector10.getSparsity();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(1, 1);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    int[] i_array10 = new int[] { 10, 1, (-1) };
    int[] i_array13 = new int[] { 0, (-1) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array15 = new double[] {  };
    double d16 = openMapRealVector14.getL1Distance(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix5.copySubMatrix(i_array10, i_array13, d_array_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(short)0, (java.lang.Number)(short)0, (java.lang.Number)(-1.0d));
    java.lang.Number number4 = outOfRangeException3.getArgument();
    java.lang.Number number5 = outOfRangeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)0+ "'", number4.equals((short)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)0+ "'", number5.equals((short)0));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(10, 10.0d);
    org.apache.commons.math.linear.RealVector realVector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector4 = openMapRealVector2.projection(realVector3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixPreservingVisitor1, 10, (-10), 6, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(short)0, (java.lang.Number)(short)0, (java.lang.Number)(-1.0d));
    java.lang.Throwable[] throwable_array5 = outOfRangeException4.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array8 = new double[] {  };
    double d9 = openMapRealVector7.getL1Distance(d_array8);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = openMapRealMatrix5.operate(d_array8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(100, 1.5607966601082315d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = openMapRealVector4.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector8.projection((org.apache.commons.math.linear.RealVector)openMapRealVector9);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector7.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = openMapRealVector13.mapAdd((-1.5707963267948966d));
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector(d_array19, 100.0d);
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector16.combine((-1.0d), Double.NaN, d_array19);
    double d23 = openMapRealVector11.getDistance(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      double d24 = openMapRealVector2.dotProduct(openMapRealVector11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixPreservingVisitor5, (-10), 0, 10, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.697783723013432d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19334632705655574d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixChangingVisitor2, 10, 0, 0, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0E-12d, 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-12d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector6 = openMapRealVector4.mapMultiplyToSelf(91.45317136336229d);
    double[] d_array12 = new double[] { 0.0d, 100.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector13 = openMapRealVector4.combine(0.0d, (-1.0d), d_array12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-10), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8655103306675354d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector(10, (-10), 0.8655103306675354d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.8655103306675354d, 0.027241040673019475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.006202970869087832d));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixPreservingVisitor1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.multiplyEntry(0, 10, 3.141592653589793d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 0.8655103306675354d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(91.45317136336229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5239.88074220734d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix6 = array2DRowRealMatrix0.getSubMatrix(0, 6, (-1), 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.8655103306675354d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(91.45317136336229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.209004123253634d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.getSubVector(6, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array8 = new double[] {  };
    double d9 = openMapRealVector7.getL1Distance(d_array8);
    double[] d_array10 = array2DRowRealMatrix6.preMultiply(d_array8);
    double d11 = array2DRowRealMatrix6.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = array2DRowRealMatrix0.multiply(array2DRowRealMatrix6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix13);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix16 = openMapRealMatrix7.multiply((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixChangingVisitor2, (-10), (-10), (-10), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(1);
    double d3 = openIntToDoubleHashMap1.remove((-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector8.mapMultiply((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9171523356672744d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap2 = new org.apache.commons.math.util.OpenIntToDoubleHashMap((-1), 1.7182818284590453d);
    org.apache.commons.math.util.OpenIntToDoubleHashMap.Iterator iterator3 = openIntToDoubleHashMap2.iterator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator3);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    int i2 = org.apache.commons.math.util.FastMath.min(6, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = openMapRealMatrix2.walkInColumnOrder(realMatrixPreservingVisitor7, 0, (-1), 0, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array10 = new double[] {  };
    double d11 = openMapRealVector9.getL1Distance(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = openMapRealVector6.projection(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector15 = openMapRealVector13.projection((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector14.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector14.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    int i23 = openMapRealVector20.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector14.append((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d25 = openMapRealVector12.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = openMapRealVector27.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.mapDivideToSelf(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector14.subtract((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector35.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector41 = openMapRealVector39.projection((org.apache.commons.math.linear.RealVector)openMapRealVector40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector38.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector45 = openMapRealVector43.projection((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector48 = openMapRealVector46.projection((org.apache.commons.math.linear.RealVector)openMapRealVector47);
    double d49 = openMapRealVector44.dotProduct(realVector48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = openMapRealVector44.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector52 = openMapRealVector42.add((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector56 = openMapRealVector54.projection((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = openMapRealVector55.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = openMapRealVector55.append(100.0d);
    double d61 = openMapRealVector53.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    double d62 = openMapRealVector14.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector53);
    int i63 = openMapRealVector53.getMaxIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == (-1));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix0.walkInRowOrder(realMatrixChangingVisitor5, (-1), 0, 1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = openMapRealMatrix2.createMatrix((-1), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = openMapRealMatrix5.walkInOptimizedOrder(realMatrixChangingVisitor9, (-1), 100, 6, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix2 = array2DRowRealMatrix0.copy();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector11.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector16.projection((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d22 = openMapRealVector17.dotProduct(realVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector17.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector15.add((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.mapSubtractToSelf(1.4210854715202004E-14d);
    double d29 = openMapRealVector17.getL1Distance(realVector28);
    double d30 = openMapRealVector1.getL1Distance(realVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector33 = openMapRealVector31.projection((org.apache.commons.math.linear.RealVector)openMapRealVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = openMapRealVector32.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector38 = openMapRealVector36.projection((org.apache.commons.math.linear.RealVector)openMapRealVector37);
    boolean b39 = openMapRealVector35.equals((java.lang.Object)openMapRealVector37);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array41 = new double[] {  };
    double d42 = openMapRealVector40.getL1Distance(d_array41);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = openMapRealVector37.projection(d_array41);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = openMapRealVector1.ebeMultiply(d_array41);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector47 = openMapRealVector45.projection((org.apache.commons.math.linear.RealVector)openMapRealVector46);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = openMapRealVector46.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = openMapRealVector46.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector54 = openMapRealVector52.projection((org.apache.commons.math.linear.RealVector)openMapRealVector53);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector56 = openMapRealVector53.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector57 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector59 = openMapRealVector57.projection((org.apache.commons.math.linear.RealVector)openMapRealVector58);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = openMapRealVector56.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector57);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector61 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector62 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector63 = openMapRealVector61.projection((org.apache.commons.math.linear.RealVector)openMapRealVector62);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector64 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector65 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector66 = openMapRealVector64.projection((org.apache.commons.math.linear.RealVector)openMapRealVector65);
    double d67 = openMapRealVector62.dotProduct(realVector66);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector69 = openMapRealVector62.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector70 = openMapRealVector60.add((org.apache.commons.math.linear.RealVector)openMapRealVector62);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector71 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector73 = openMapRealVector71.mapSubtractToSelf(1.4210854715202004E-14d);
    double d74 = openMapRealVector62.getL1Distance(realVector73);
    double d75 = openMapRealVector46.getL1Distance(realVector73);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector76 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector77 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector78 = openMapRealVector76.projection((org.apache.commons.math.linear.RealVector)openMapRealVector77);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector80 = openMapRealVector77.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector81 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector82 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector83 = openMapRealVector81.projection((org.apache.commons.math.linear.RealVector)openMapRealVector82);
    boolean b84 = openMapRealVector80.equals((java.lang.Object)openMapRealVector82);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector85 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array86 = new double[] {  };
    double d87 = openMapRealVector85.getL1Distance(d_array86);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector88 = openMapRealVector82.projection(d_array86);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector89 = openMapRealVector46.ebeMultiply(d_array86);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector90 = openMapRealVector1.projection(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector90);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 100);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = openMapRealMatrix6.walkInRowOrder(realMatrixChangingVisitor7, 10, (-1), 0, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = openMapRealMatrix5.walkInRowOrder(realMatrixChangingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = array2DRowRealMatrix0.walkInOptimizedOrder(realMatrixPreservingVisitor1, 0, 10, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix4 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix8 = openMapRealMatrix4.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix7);
    double[] d_array10 = openMapRealMatrix7.getRow(1);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = array2DRowRealMatrix0.preMultiply(d_array10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array10 = new double[] {  };
    double d11 = openMapRealVector9.getL1Distance(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = openMapRealVector6.projection(d_array10);
    int i13 = openMapRealVector12.getMinIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix13);
    double[] d_array16 = openMapRealMatrix13.getRow(1);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array17 = openMapRealMatrix7.preMultiply(d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-1.0038848218538872d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5370292721463151d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(10, 10.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = openMapRealVector4.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector8.projection((org.apache.commons.math.linear.RealVector)openMapRealVector9);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector7.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = openMapRealVector13.mapAdd((-1.5707963267948966d));
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector(d_array19, 100.0d);
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector16.combine((-1.0d), Double.NaN, d_array19);
    double d23 = openMapRealVector11.getDistance(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector2.ebeDivide(d_array19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-1.0038848218538872d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = openMapRealMatrix5.walkInRowOrder(realMatrixChangingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    double d6 = openMapRealMatrix5.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.multiply(openMapRealMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector1.mapAddToSelf((-1.0038848218538872d));
    double[] d_array9 = openMapRealVector1.getData();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector11.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.projection((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector14.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector24 = openMapRealVector22.projection((org.apache.commons.math.linear.RealVector)openMapRealVector23);
    double d25 = openMapRealVector20.dotProduct(realVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = openMapRealVector20.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector18.add((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = openMapRealVector31.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector37 = openMapRealVector35.projection((org.apache.commons.math.linear.RealVector)openMapRealVector36);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector34.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.RealVector realVector40 = openMapRealVector38.mapDivideToSelf(100.0d);
    double d41 = openMapRealVector20.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix42 = openMapRealVector1.outerProduct((org.apache.commons.math.linear.RealVector)openMapRealVector38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    double[][] d_array_array6 = array2DRowRealMatrix0.getDataRef();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector8.projection((org.apache.commons.math.linear.RealVector)openMapRealVector9);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector13 = openMapRealVector11.projection((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    double d14 = openMapRealVector9.dotProduct(realVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = openMapRealVector9.mapAddToSelf((-1.0038848218538872d));
    double[] d_array17 = openMapRealVector9.getData();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setRow(6, d_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(10.0d, 5.209004123253634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.090568533193327d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix0.walkInRowOrder(realMatrixPreservingVisitor5, 10, 0, 0, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-4.9E-324d), (-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix9 = openMapRealMatrix7.getColumnMatrix(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(0.0d);
    org.apache.commons.math.util.OpenIntToDoubleHashMap.Iterator iterator2 = openIntToDoubleHashMap1.iterator();
    double d4 = openIntToDoubleHashMap1.get(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    double d3 = openMapRealMatrix2.getNorm();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = openMapRealMatrix2.walkInRowOrder(realMatrixChangingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array4 = new double[] {  };
    double d5 = openMapRealVector3.getL1Distance(d_array4);
    double[] d_array6 = array2DRowRealMatrix2.preMultiply(d_array4);
    double d7 = array2DRowRealMatrix2.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = array2DRowRealMatrix0.subtract(array2DRowRealMatrix2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.RealMatrix realMatrix5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix6 = array2DRowRealMatrix0.multiply(realMatrix5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = openMapRealMatrix7.walkInColumnOrder(realMatrixChangingVisitor8, 0, (-10), 0, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 89.42706130231652d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    java.util.Iterator iterator9 = openMapRealVector5.iterator();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector11.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = openMapRealVector11.append(100.0d);
    double d17 = openMapRealVector5.getDistance(openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector11.mapAdd(0.19334632705655574d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = openMapRealVector19.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector20);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.1920928955078125E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.942385152878742d));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(d_array0, 5239.88074220734d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(0.0d);
    org.apache.commons.math.util.OpenIntToDoubleHashMap.Iterator iterator2 = openIntToDoubleHashMap1.iterator();
    double d4 = openIntToDoubleHashMap1.remove((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix2 = array2DRowRealMatrix0.scalarAdd((-1.5707963267948966d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector9 = openMapRealMatrix7.getRowVector(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector(d_array7, 100.0d);
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector4.combine((-1.0d), Double.NaN, d_array7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector(d_array7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector15.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    boolean b22 = openMapRealVector18.equals((java.lang.Object)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array24 = new double[] {  };
    double d25 = openMapRealVector23.getL1Distance(d_array24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector20.projection(d_array24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector29 = openMapRealVector27.projection((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = openMapRealVector28.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector28.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    int i37 = openMapRealVector34.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector28.append((org.apache.commons.math.linear.RealVector)openMapRealVector34);
    double d39 = openMapRealVector26.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector41 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector42 = openMapRealVector40.projection((org.apache.commons.math.linear.RealVector)openMapRealVector41);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = openMapRealVector41.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector46 = openMapRealVector44.mapDivideToSelf(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = openMapRealVector28.subtract((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector50 = openMapRealVector48.projection((org.apache.commons.math.linear.RealVector)openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = openMapRealVector49.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector55 = openMapRealVector53.projection((org.apache.commons.math.linear.RealVector)openMapRealVector54);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector56 = openMapRealVector52.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector53);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector57 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector59 = openMapRealVector57.projection((org.apache.commons.math.linear.RealVector)openMapRealVector58);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector61 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector62 = openMapRealVector60.projection((org.apache.commons.math.linear.RealVector)openMapRealVector61);
    double d63 = openMapRealVector58.dotProduct(realVector62);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector65 = openMapRealVector58.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector66 = openMapRealVector56.add((org.apache.commons.math.linear.RealVector)openMapRealVector58);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector67 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector58);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector68 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector69 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector70 = openMapRealVector68.projection((org.apache.commons.math.linear.RealVector)openMapRealVector69);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector72 = openMapRealVector69.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector74 = openMapRealVector69.append(100.0d);
    double d75 = openMapRealVector67.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector69);
    double d76 = openMapRealVector28.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector67);
    org.apache.commons.math.linear.RealVector realVector77 = openMapRealVector11.combineToSelf(2.697783723013432d, 0.0d, (org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.RealVector realVector78 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector79 = openMapRealVector11.ebeMultiply(realVector78);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector77);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(short)0, (java.lang.Number)(short)0, (java.lang.Number)(-1.0d));
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.String str5 = outOfRangeException3.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = outOfRangeException3.getContext();
    java.lang.Number number7 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.OutOfRangeException: 0 out of [0, -1] range"+ "'", str5.equals("org.apache.commons.math.exception.OutOfRangeException: 0 out of [0, -1] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (short)0+ "'", number7.equals((short)0));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    int i2 = org.apache.commons.math.util.FastMath.min(6, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0f, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext1 = mathArithmeticException0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(10, 100);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    int i10 = openMapRealVector7.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array13 = new double[] {  };
    double d14 = openMapRealVector12.getL1Distance(d_array13);
    double d15 = openMapRealVector11.getL1Distance(d_array13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector16.projection((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d22 = openMapRealVector17.dotProduct(realVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector23.projection((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = openMapRealVector24.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = openMapRealVector24.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = openMapRealVector17.append(openMapRealVector29);
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.mapSubtract(5.209004123253634d);
    int i33 = openMapRealVector30.getMaxIndex();
    // The following exception was thrown during execution in test generation
    try {
      double d34 = openMapRealVector11.dotProduct(openMapRealVector30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector5.mapMultiplyToSelf(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = openMapRealMatrix7.walkInColumnOrder(realMatrixPreservingVisitor8, (-10), 6, 10, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector((-1), 100, (-0.006202970869087832d));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-0.99999994f), 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.1920928955078125E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.923689900271567d));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    int i10 = openMapRealVector7.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array13 = new double[] {  };
    double d14 = openMapRealVector12.getL1Distance(d_array13);
    double d15 = openMapRealVector11.getL1Distance(d_array13);
    double d16 = openMapRealVector11.getMinValue();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = openMapRealVector18.mapAdd((-1.5707963267948966d));
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector(d_array24, 100.0d);
    org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector21.combine((-1.0d), Double.NaN, d_array24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector(d_array24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = openMapRealVector11.append((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array34 = new double[] {  };
    double d35 = openMapRealVector33.getL1Distance(d_array34);
    double d36 = openMapRealVector31.dotProduct(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      double d37 = openMapRealVector28.cosine(d_array34);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-63.999996f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-63.999992f));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double d1 = array2DRowRealMatrix0.getFrobeniusNorm();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix8 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix5.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix8);
    org.apache.commons.math.linear.RealMatrix realMatrix11 = openMapRealMatrix8.scalarMultiply((-1.5707963267948966d));
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setRowMatrix(0, realMatrix11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    int i1 = org.apache.commons.math.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array20 = new double[] {  };
    double d21 = openMapRealVector19.getL1Distance(d_array20);
    double[] d_array22 = array2DRowRealMatrix18.preMultiply(d_array20);
    double d23 = array2DRowRealMatrix18.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix9 = openMapRealMatrix2.power((-10));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(1);
    org.apache.commons.math.util.OpenIntToDoubleHashMap.Iterator iterator2 = openIntToDoubleHashMap1.iterator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator2);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(5.209004123253634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.8453060398669399d));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array10 = new double[] {  };
    double d11 = openMapRealVector9.getL1Distance(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = openMapRealVector6.projection(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector15 = openMapRealVector13.projection((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector14.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector14.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    int i23 = openMapRealVector20.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector14.append((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d25 = openMapRealVector12.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = openMapRealVector27.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.mapDivideToSelf(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector14.subtract((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = openMapRealVector30.unitVector();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    long long1 = org.apache.commons.math.util.FastMath.round(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector19 = openMapRealMatrix17.getColumnVector((-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = array2DRowRealMatrix0.walkInRowOrder(realMatrixPreservingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = openMapRealMatrix5.walkInRowOrder(realMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    double[][] d_array_array6 = array2DRowRealMatrix0.getDataRef();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixChangingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array6);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector6 = openMapRealVector4.mapMultiplyToSelf(91.45317136336229d);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealVector4.unitize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix4 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix8 = openMapRealMatrix4.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix7);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = openMapRealMatrix4.copy();
    double[] d_array11 = openMapRealMatrix9.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = array2DRowRealMatrix0.operate(d_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = openMapRealMatrix2.walkInColumnOrder(realMatrixPreservingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array11 = new double[] {  };
    double d12 = openMapRealVector10.getL1Distance(d_array11);
    double[] d_array13 = array2DRowRealMatrix9.preMultiply(d_array11);
    double d14 = array2DRowRealMatrix9.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = openMapRealMatrix2.multiply((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix12.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix15);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = openMapRealMatrix15.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array19 = openMapRealMatrix15.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])d_array_array19);
    openMapRealMatrix5.setSubMatrix(d_array_array19, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix25 = openMapRealMatrix5.power(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-63.999996f), 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-63.999992f));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    int i8 = openMapRealMatrix2.getColumnDimension();
    int i9 = openMapRealMatrix2.getColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.4E-45f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.7763568E-15f);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = openMapRealMatrix2.getEntry((-1), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector20 = openMapRealVector18.projection((org.apache.commons.math.linear.RealVector)openMapRealVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = openMapRealVector19.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector19.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector25.projection((org.apache.commons.math.linear.RealVector)openMapRealVector26);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = openMapRealVector26.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector29.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector39 = openMapRealVector37.projection((org.apache.commons.math.linear.RealVector)openMapRealVector38);
    double d40 = openMapRealVector35.dotProduct(realVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector35.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector43 = openMapRealVector33.add((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector46 = openMapRealVector44.mapSubtractToSelf(1.4210854715202004E-14d);
    double d47 = openMapRealVector35.getL1Distance(realVector46);
    double d48 = openMapRealVector19.getL1Distance(realVector46);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector50 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector51 = openMapRealVector49.projection((org.apache.commons.math.linear.RealVector)openMapRealVector50);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = openMapRealVector50.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector56 = openMapRealVector54.projection((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    boolean b57 = openMapRealVector53.equals((java.lang.Object)openMapRealVector55);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array59 = new double[] {  };
    double d60 = openMapRealVector58.getL1Distance(d_array59);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector61 = openMapRealVector55.projection(d_array59);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector62 = openMapRealVector19.ebeMultiply(d_array59);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array63 = openMapRealMatrix11.preMultiply(d_array59);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector62);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.3012989023072947d));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector1.append(openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.projection((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector16.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = openMapRealVector19.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d24 = openMapRealVector1.getDistance(openMapRealVector20);
    double[] d_array25 = openMapRealVector1.toArray();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix6 = array2DRowRealMatrix0.copy();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-63.999996f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.8146973E-6f);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixPreservingVisitor5, 6, (-10), 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    double d8 = openMapRealMatrix7.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix9 = array2DRowRealMatrix0.multiply((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.19334632705655574d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9813667544767973d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(1, (-2.3012989023072947d));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix7 = array2DRowRealMatrix0.createMatrix((-1023), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = openMapRealMatrix5.add(openMapRealMatrix18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix7 = array2DRowRealMatrix0.getColumnMatrix(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array9 = openMapRealMatrix5.getData();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix13.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix16);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = openMapRealMatrix16.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array20 = openMapRealMatrix16.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable10, (java.lang.Object[])d_array_array20);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix5.setSubMatrix(d_array_array20, (-1023), (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix12.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix15);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = openMapRealMatrix15.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array19 = openMapRealMatrix15.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])d_array_array19);
    openMapRealMatrix5.setSubMatrix(d_array_array19, 0, 0);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix26 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix29 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix30 = openMapRealMatrix26.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix29);
    double[] d_array32 = openMapRealMatrix29.getRow(1);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array33 = openMapRealMatrix5.preMultiply(d_array32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-63.999992f), 3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 63.999992f);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.RealVector realVector20 = openMapRealVector10.mapSubtract(1.7182818284590453d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector(d_array23, 100.0d);
    org.apache.commons.math.linear.RealVector realVector26 = openMapRealVector10.combineToSelf(0.6483608274590866d, 0.0d, (org.apache.commons.math.linear.RealVector)openMapRealVector25);
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector10.mapSubtractToSelf((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, 10);
    int i4 = dimensionMismatchException3.getDimension();
    int i5 = dimensionMismatchException3.getDimension();
    int i6 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = openMapRealMatrix5.walkInColumnOrder(realMatrixPreservingVisitor7, 6, 0, 10, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(1, 6);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    int i12 = openMapRealMatrix6.getColumnDimension();
    openMapRealMatrix2.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector15.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    boolean b22 = openMapRealVector18.equals((java.lang.Object)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array24 = new double[] {  };
    double d25 = openMapRealVector23.getL1Distance(d_array24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector20.projection(d_array24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector29 = openMapRealVector27.projection((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = openMapRealVector28.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector28.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    int i37 = openMapRealVector34.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector28.append((org.apache.commons.math.linear.RealVector)openMapRealVector34);
    double d39 = openMapRealVector26.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector41 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector42 = openMapRealVector40.projection((org.apache.commons.math.linear.RealVector)openMapRealVector41);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = openMapRealVector41.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector46 = openMapRealVector44.mapDivideToSelf(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = openMapRealVector28.subtract((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector48 = openMapRealMatrix2.preMultiply((org.apache.commons.math.linear.RealVector)openMapRealVector28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector47);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector((-1), 10, 1.0d);
    double d4 = openMapRealVector3.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = openMapRealMatrix2.walkInRowOrder(realMatrixChangingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixChangingVisitor6, (-10), (-10), 0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    int i12 = openMapRealMatrix6.getColumnDimension();
    openMapRealMatrix2.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector15.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector20 = openMapRealVector18.mapMultiplyToSelf(91.45317136336229d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector21 = openMapRealMatrix6.operate(realVector20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math.linear.Array2DRowRealMatrix(6, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(5.209004123253634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09091427270073645d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.1920928955078125E-7d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1920928955078125E-7d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.718281828459045d, (-15.942385152878742d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1920928955078133E-7d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.RealVector realVector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = openMapRealVector0.getL1Distance(realVector3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    int i12 = openMapRealMatrix6.getColumnDimension();
    openMapRealMatrix2.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = openMapRealMatrix16.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix19);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix21 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix22 = openMapRealMatrix6.multiply(openMapRealMatrix16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix20);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(short)0, (java.lang.Number)(short)0, (java.lang.Number)(-1.0d));
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = outOfRangeException3.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = outOfRangeException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(0, 182.90634272672457d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Double[] d_array2 = new java.lang.Double[] { (-1.0d) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector(d_array2);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array2);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector10.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector13.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    double d18 = openMapRealVector5.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    double d19 = openMapRealVector5.getL1Norm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = array2DRowRealMatrix0.walkInRowOrder(realMatrixPreservingVisitor6, 1, (-1023), 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array10 = new double[] {  };
    double d11 = openMapRealVector9.getL1Distance(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = openMapRealVector6.projection(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector15 = openMapRealVector13.projection((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector14.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector14.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    int i23 = openMapRealVector20.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector14.append((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d25 = openMapRealVector12.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = openMapRealVector27.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.mapDivideToSelf(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector14.subtract((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector35.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector41 = openMapRealVector39.projection((org.apache.commons.math.linear.RealVector)openMapRealVector40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector38.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector45 = openMapRealVector43.projection((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector48 = openMapRealVector46.projection((org.apache.commons.math.linear.RealVector)openMapRealVector47);
    double d49 = openMapRealVector44.dotProduct(realVector48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = openMapRealVector44.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector52 = openMapRealVector42.add((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector56 = openMapRealVector54.projection((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = openMapRealVector55.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = openMapRealVector55.append(100.0d);
    double d61 = openMapRealVector53.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    double d62 = openMapRealVector14.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector53);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector63 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector65 = openMapRealVector63.mapSubtractToSelf(1.4210854715202004E-14d);
    double d66 = openMapRealVector53.dotProduct(openMapRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector10);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array22 = new double[] {  };
    double d23 = openMapRealVector21.getL1Distance(d_array22);
    double[] d_array24 = array2DRowRealMatrix20.preMultiply(d_array22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix25 = openMapRealVector10.outerProduct(d_array24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(10, 10.0d);
    boolean b3 = openMapRealVector2.isInfinite();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector2.mapToSelf(univariateRealFunction4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-2.3012989023072947d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3012989023072947d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix9.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix12);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = openMapRealMatrix12.scalarMultiply((-1.5707963267948966d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix16 = openMapRealMatrix2.preMultiply(realMatrix15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector10.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector13.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector20 = openMapRealVector18.projection((org.apache.commons.math.linear.RealVector)openMapRealVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector21.projection((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    double d24 = openMapRealVector19.dotProduct(realVector23);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector19.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector17.add((org.apache.commons.math.linear.RealVector)openMapRealVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector19);
    double d29 = openMapRealVector28.getLInfNorm();
    double d30 = openMapRealVector4.getDistance(openMapRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = array2DRowRealMatrix0.getEntry(0, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector(d_array7, 100.0d);
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector4.combine((-1.0d), Double.NaN, d_array7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector(d_array7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = openMapRealVector13.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = openMapRealVector16.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector21.projection((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector22.mapAdd((-1.5707963267948966d));
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector(d_array28, 100.0d);
    org.apache.commons.math.linear.RealVector realVector31 = openMapRealVector25.combine((-1.0d), Double.NaN, d_array28);
    double d32 = openMapRealVector20.getDistance(d_array28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector11.subtract(openMapRealVector20);
    int i34 = openMapRealVector33.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.add(openMapRealMatrix15);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix20 = openMapRealMatrix15.preMultiply((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = openMapRealMatrix2.walkInRowOrder(realMatrixPreservingVisitor9, 1, 0, 0, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector8 = openMapRealVector6.projection((org.apache.commons.math.linear.RealVector)openMapRealVector7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = openMapRealVector7.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = openMapRealVector7.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector15 = openMapRealVector13.projection((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    int i16 = openMapRealVector13.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector7.append((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array19 = new double[] {  };
    double d20 = openMapRealVector18.getL1Distance(d_array19);
    double d21 = openMapRealVector17.getL1Distance(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setRow((-1), d_array19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.090568533193327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    openMapRealMatrix2.multiplyEntry(1, 0, 0.5370292721463151d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = openMapRealMatrix14.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix17);
    double[] d_array20 = openMapRealMatrix17.getRow(1);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix27 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix28 = openMapRealMatrix24.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix27);
    org.apache.commons.math.linear.RealMatrix realMatrix30 = openMapRealMatrix27.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array31 = openMapRealMatrix27.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, (java.lang.Object[])d_array_array31);
    openMapRealMatrix17.setSubMatrix(d_array_array31, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setSubMatrix(d_array_array31, (-1), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(openIntToDoubleHashMap0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, 10);
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22025.465794806718d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = openMapRealMatrix7.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = openMapRealMatrix7.copy();
    double[] d_array14 = openMapRealMatrix12.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector15 = openMapRealVector1.combineToSelf(182.90634272672457d, (-1.5707963267948966d), d_array14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.09091427270073645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09517511482922147d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(3.141592653589793d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3216.990877275948d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)1.0f, (java.lang.Number)0L, (java.lang.Number)(-1));
    java.lang.Number number5 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1)+ "'", number5.equals((-1)));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    int i17 = openMapRealVector14.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector8.append((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array20 = new double[] {  };
    double d21 = openMapRealVector19.getL1Distance(d_array20);
    double d22 = openMapRealVector18.getL1Distance(d_array20);
    double d23 = openMapRealVector18.getMinValue();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector26 = openMapRealVector24.projection((org.apache.commons.math.linear.RealVector)openMapRealVector25);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = openMapRealVector25.mapAdd((-1.5707963267948966d));
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector(d_array31, 100.0d);
    org.apache.commons.math.linear.RealVector realVector34 = openMapRealVector28.combine((-1.0d), Double.NaN, d_array31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector(d_array31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = openMapRealVector18.append((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector36);
    double d38 = openMapRealVector36.getLInfNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.RealVector realVector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector4 = openMapRealVector1.projection(realVector3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(5.209004123253634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.09517511482922147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09503200989820414d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, (-10));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix9.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix12);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = openMapRealMatrix12.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array16 = openMapRealMatrix12.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])d_array_array16);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setSubMatrix(d_array_array16, 10, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException");
    } catch (org.apache.commons.math.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    int i17 = openMapRealMatrix11.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix25 = openMapRealMatrix11.add(openMapRealMatrix24);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix26 = openMapRealMatrix5.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix24);
    double[] d_array29 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix5.setColumn(0, d_array29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array1 = new double[] {  };
    double d2 = openMapRealVector0.getL1Distance(d_array1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector6 = openMapRealVector4.projection((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector5.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    boolean b12 = openMapRealVector8.equals((java.lang.Object)openMapRealVector10);
    double d13 = openMapRealVector8.getNorm();
    double d14 = openMapRealVector8.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      openMapRealVector0.setSubVector((-10), (org.apache.commons.math.linear.RealVector)openMapRealVector8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector1.append(openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.projection((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector16.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = openMapRealVector19.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d24 = openMapRealVector1.getDistance(openMapRealVector20);
    org.apache.commons.math.linear.RealVector realVector26 = openMapRealVector20.mapMultiply((-0.006202970869087832d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(22025.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.24503417392995128d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = openMapRealVector6.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector9.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    double d20 = openMapRealVector15.dotProduct(realVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = openMapRealVector15.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector13.add((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector1.append(openMapRealVector24);
    boolean b27 = openMapRealVector25.equals((java.lang.Object)0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    int i9 = openMapRealVector5.getMaxIndex();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector11.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.projection((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector14.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = openMapRealVector20.mapAdd((-1.5707963267948966d));
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector(d_array26, 100.0d);
    org.apache.commons.math.linear.RealVector realVector29 = openMapRealVector23.combine((-1.0d), Double.NaN, d_array26);
    double d30 = openMapRealVector18.getDistance(d_array26);
    double d31 = openMapRealVector5.getL1Distance(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.7763568E-15f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.7763568E-15f);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = array2DRowRealMatrix0.walkInRowOrder(realMatrixChangingVisitor2, 1, 0, (-10), (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix10 = openMapRealMatrix5.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = openMapRealMatrix23.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array27 = openMapRealMatrix23.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix28 = openMapRealMatrix11.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix29 = openMapRealMatrix23.transpose();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector35.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = openMapRealVector35.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector41 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector43 = openMapRealVector41.projection((org.apache.commons.math.linear.RealVector)openMapRealVector42);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = openMapRealVector42.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector48 = openMapRealVector46.projection((org.apache.commons.math.linear.RealVector)openMapRealVector47);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = openMapRealVector45.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector46);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector50 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector52 = openMapRealVector50.projection((org.apache.commons.math.linear.RealVector)openMapRealVector51);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector55 = openMapRealVector53.projection((org.apache.commons.math.linear.RealVector)openMapRealVector54);
    double d56 = openMapRealVector51.dotProduct(realVector55);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = openMapRealVector51.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector59 = openMapRealVector49.add((org.apache.commons.math.linear.RealVector)openMapRealVector51);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector62 = openMapRealVector60.mapSubtractToSelf(1.4210854715202004E-14d);
    double d63 = openMapRealVector51.getL1Distance(realVector62);
    double d64 = openMapRealVector35.getL1Distance(realVector62);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector65 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector66 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector67 = openMapRealVector65.projection((org.apache.commons.math.linear.RealVector)openMapRealVector66);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector69 = openMapRealVector66.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector70 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector71 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector72 = openMapRealVector70.projection((org.apache.commons.math.linear.RealVector)openMapRealVector71);
    boolean b73 = openMapRealVector69.equals((java.lang.Object)openMapRealVector71);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector74 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array75 = new double[] {  };
    double d76 = openMapRealVector74.getL1Distance(d_array75);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector77 = openMapRealVector71.projection(d_array75);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector78 = openMapRealVector35.ebeMultiply(d_array75);
    double[][] d_array_array79 = new double[][] { d_array75 };
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix23.copySubMatrix(6, 0, (-10), (-10), d_array_array79);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array79);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(6, 0.0d);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array7 = new double[] {  };
    double d8 = openMapRealVector6.getL1Distance(d_array7);
    double[] d_array9 = array2DRowRealMatrix5.preMultiply(d_array7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector2.combineToSelf(0.0d, (-4.9E-324d), d_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array10 = new double[] {  };
    double d11 = openMapRealVector9.getL1Distance(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = openMapRealVector6.projection(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector15 = openMapRealVector13.projection((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector14.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector14.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    int i23 = openMapRealVector20.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector14.append((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d25 = openMapRealVector12.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = openMapRealVector27.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.mapDivideToSelf(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector14.subtract((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector35.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector41 = openMapRealVector39.projection((org.apache.commons.math.linear.RealVector)openMapRealVector40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector38.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector45 = openMapRealVector43.projection((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector48 = openMapRealVector46.projection((org.apache.commons.math.linear.RealVector)openMapRealVector47);
    double d49 = openMapRealVector44.dotProduct(realVector48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = openMapRealVector44.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector52 = openMapRealVector42.add((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector56 = openMapRealVector54.projection((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = openMapRealVector55.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = openMapRealVector55.append(100.0d);
    double d61 = openMapRealVector53.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    double d62 = openMapRealVector14.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector53);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector63 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector64 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector65 = openMapRealVector63.projection((org.apache.commons.math.linear.RealVector)openMapRealVector64);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector67 = openMapRealVector64.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector68 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector69 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector70 = openMapRealVector68.projection((org.apache.commons.math.linear.RealVector)openMapRealVector69);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector71 = openMapRealVector67.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector68);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector72 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector73 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector74 = openMapRealVector72.projection((org.apache.commons.math.linear.RealVector)openMapRealVector73);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector75 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector76 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector77 = openMapRealVector75.projection((org.apache.commons.math.linear.RealVector)openMapRealVector76);
    double d78 = openMapRealVector73.dotProduct(realVector77);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector80 = openMapRealVector73.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector81 = openMapRealVector71.add((org.apache.commons.math.linear.RealVector)openMapRealVector73);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector82 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector73);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector83 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector84 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector85 = openMapRealVector83.projection((org.apache.commons.math.linear.RealVector)openMapRealVector84);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector87 = openMapRealVector84.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector88 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector89 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector90 = openMapRealVector88.projection((org.apache.commons.math.linear.RealVector)openMapRealVector89);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector91 = openMapRealVector87.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector88);
    org.apache.commons.math.linear.RealVector realVector93 = openMapRealVector91.mapDivideToSelf(100.0d);
    double d94 = openMapRealVector73.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector91);
    boolean b95 = openMapRealVector53.equals((java.lang.Object)openMapRealVector91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == true);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double d1 = array2DRowRealMatrix0.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix2 = array2DRowRealMatrix0.copy();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.addToEntry((-1023), (-1023), (-15.942385152878742d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double d1 = array2DRowRealMatrix0.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixPreservingVisitor2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(0.0d);
    int i2 = openIntToDoubleHashMap1.size();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector13 = openMapRealVector11.projection((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector12.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector16.projection((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    boolean b19 = openMapRealVector15.equals((java.lang.Object)openMapRealVector17);
    double d20 = openMapRealVector15.getNorm();
    double d21 = openMapRealVector15.getLInfNorm();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector4.combineToSelf(1.0d, 0.0d, (org.apache.commons.math.linear.RealVector)openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector1.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = openMapRealVector1.subtract(openMapRealVector9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    int i12 = openMapRealMatrix6.getColumnDimension();
    openMapRealMatrix2.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector15.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = openMapRealVector15.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector21.projection((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector22.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = openMapRealVector25.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector26);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector35 = openMapRealVector33.projection((org.apache.commons.math.linear.RealVector)openMapRealVector34);
    double d36 = openMapRealVector31.dotProduct(realVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector31.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector39 = openMapRealVector29.add((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector42 = openMapRealVector40.mapSubtractToSelf(1.4210854715202004E-14d);
    double d43 = openMapRealVector31.getL1Distance(realVector42);
    double d44 = openMapRealVector15.getL1Distance(realVector42);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector47 = openMapRealVector45.projection((org.apache.commons.math.linear.RealVector)openMapRealVector46);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = openMapRealVector46.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector50 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector52 = openMapRealVector50.projection((org.apache.commons.math.linear.RealVector)openMapRealVector51);
    boolean b53 = openMapRealVector49.equals((java.lang.Object)openMapRealVector51);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array55 = new double[] {  };
    double d56 = openMapRealVector54.getL1Distance(d_array55);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector57 = openMapRealVector51.projection(d_array55);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = openMapRealVector15.ebeMultiply(d_array55);
    double[][] d_array_array59 = new double[][] { d_array55 };
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix6.setSubMatrix(d_array_array59, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.09091427270073645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0041355498130398d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1622776601683795d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(100);
    boolean b3 = openIntToDoubleHashMap1.containsKey(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    double d5 = openMapRealVector1.getMinValue();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector1.mapMultiply((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.0d, (-15.942385152878742d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6947506487576603d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = openMapRealMatrix23.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array27 = openMapRealMatrix23.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix28 = openMapRealMatrix11.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix32 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix35 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix36 = openMapRealMatrix32.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix35);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix37 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix32);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix23.setRowMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix36);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector8 = openMapRealVector6.projection((org.apache.commons.math.linear.RealVector)openMapRealVector7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = openMapRealVector7.mapAdd((-1.5707963267948966d));
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector(d_array13, 100.0d);
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector10.combine((-1.0d), Double.NaN, d_array13);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setRow(100, d_array13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.0041355498130398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = openMapRealVector6.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector9.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    double d20 = openMapRealVector15.dotProduct(realVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = openMapRealVector15.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector13.add((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector1.append(openMapRealVector24);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector24.mapToSelf(univariateRealFunction26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix12.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix15);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = openMapRealMatrix15.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array19 = openMapRealMatrix15.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])d_array_array19);
    openMapRealMatrix5.setSubMatrix(d_array_array19, 0, 0);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix27 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix30 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix31 = openMapRealMatrix27.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix30);
    double[] d_array33 = openMapRealMatrix30.getRow(1);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix5.setColumnMatrix((-1), (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = array2DRowRealMatrix0.walkInRowOrder(realMatrixPreservingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    double[][] d_array_array6 = array2DRowRealMatrix0.getDataRef();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixChangingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array6);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-15.942385152878742d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-16.0d));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(91.45317136336229d, 91.45317136336229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 91.45317136336229d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector1.append(openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.projection((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector16.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = openMapRealVector19.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d24 = openMapRealVector1.getDistance(openMapRealVector20);
    org.apache.commons.math.linear.RealVector realVector26 = openMapRealVector1.mapSubtract((-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-2.3012989023072947d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array10 = new double[] {  };
    double d11 = openMapRealVector9.getL1Distance(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = openMapRealVector6.projection(d_array10);
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.mapSubtract(3.1622776601683795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.0d, (-0.24503417392995128d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(1.5707963267948966d);
    double d3 = openIntToDoubleHashMap1.get(6);
    double d5 = openIntToDoubleHashMap1.remove(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.5707963267948966d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.09091427270073645d, (-0.24503417392995128d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2613563685358317d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = openMapRealMatrix7.walkInRowOrder(realMatrixPreservingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector1.mapAddToSelf((-1.0038848218538872d));
    double d9 = openMapRealVector1.getMaxValue();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector11.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.projection((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector14.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector24 = openMapRealVector22.projection((org.apache.commons.math.linear.RealVector)openMapRealVector23);
    double d25 = openMapRealVector20.dotProduct(realVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = openMapRealVector20.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector18.add((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d29 = openMapRealVector1.getLInfDistance((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.8655103306675354d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.314901271119102d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(short)0, (java.lang.Number)(short)0, (java.lang.Number)(-1.0d));
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = outOfRangeException3.getContext();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Double[] d_array8 = new java.lang.Double[] { (-1.0d) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector(d_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, (java.lang.Object[])d_array8);
    outOfRangeException3.addSuppressed((java.lang.Throwable)mathArithmeticException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    double d6 = array2DRowRealMatrix0.getNorm();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix9.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix12);
    double[] d_array15 = openMapRealMatrix12.getRow(1);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix22 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = openMapRealMatrix19.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix22);
    org.apache.commons.math.linear.RealMatrix realMatrix25 = openMapRealMatrix22.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array26 = openMapRealMatrix22.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable16, (java.lang.Object[])d_array_array26);
    openMapRealMatrix12.setSubMatrix(d_array_array26, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setSubMatrix(d_array_array26, 6, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException");
    } catch (org.apache.commons.math.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Double[] d_array2 = new java.lang.Double[] { (-1.0d) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector(d_array2);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array2);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector(d_array2, 1.4210854715202004E-14d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector(d_array2, 2.3012989023072947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixPreservingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    double[][] d_array_array6 = array2DRowRealMatrix0.getDataRef();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix12 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = openMapRealMatrix9.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix12);
    double[] d_array15 = openMapRealMatrix12.getRow(1);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix22 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = openMapRealMatrix19.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix22);
    org.apache.commons.math.linear.RealMatrix realMatrix25 = openMapRealMatrix22.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array26 = openMapRealMatrix22.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable16, (java.lang.Object[])d_array_array26);
    openMapRealMatrix12.setSubMatrix(d_array_array26, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setSubMatrix(d_array_array26, 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException");
    } catch (org.apache.commons.math.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    double[] d_array9 = openMapRealMatrix7.getColumn(0);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector13 = openMapRealVector11.projection((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector12.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector12.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector20 = openMapRealVector18.projection((org.apache.commons.math.linear.RealVector)openMapRealVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = openMapRealVector19.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector23.projection((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector22.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector23);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector29 = openMapRealVector27.projection((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    double d33 = openMapRealVector28.dotProduct(realVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = openMapRealVector28.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector26.add((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector39 = openMapRealVector37.mapSubtractToSelf(1.4210854715202004E-14d);
    double d40 = openMapRealVector28.getL1Distance(realVector39);
    double d41 = openMapRealVector12.getL1Distance(realVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector44 = openMapRealVector42.projection((org.apache.commons.math.linear.RealVector)openMapRealVector43);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = openMapRealVector43.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector49 = openMapRealVector47.projection((org.apache.commons.math.linear.RealVector)openMapRealVector48);
    boolean b50 = openMapRealVector46.equals((java.lang.Object)openMapRealVector48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array52 = new double[] {  };
    double d53 = openMapRealVector51.getL1Distance(d_array52);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = openMapRealVector48.projection(d_array52);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = openMapRealVector12.ebeMultiply(d_array52);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix7.setColumn((-10), d_array52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector55);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.9171523356672744d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9576807065339024d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap2 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(0, 1.1920928955078125E-7d);
    double d4 = openIntToDoubleHashMap2.get((-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.1920928955078125E-7d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector4.mapAddToSelf(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector15.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = openMapRealVector18.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector23.projection((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    double d29 = openMapRealVector24.dotProduct(realVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = openMapRealVector24.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector22.add((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector35 = openMapRealVector33.mapSubtractToSelf(1.4210854715202004E-14d);
    double d36 = openMapRealVector24.getL1Distance(realVector35);
    double d37 = openMapRealVector8.getL1Distance(realVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector40 = openMapRealVector38.projection((org.apache.commons.math.linear.RealVector)openMapRealVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector39.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector45 = openMapRealVector43.projection((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    boolean b46 = openMapRealVector42.equals((java.lang.Object)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array48 = new double[] {  };
    double d49 = openMapRealVector47.getL1Distance(d_array48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector50 = openMapRealVector44.projection(d_array48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = openMapRealVector8.ebeMultiply(d_array48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = openMapRealVector4.append(openMapRealVector8);
    double d53 = openMapRealVector8.getSparsity();
    int i54 = openMapRealVector8.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = openMapRealVector6.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector9.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    double d20 = openMapRealVector15.dotProduct(realVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = openMapRealVector15.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector13.add((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector1.append(openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = openMapRealVector27.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector33 = openMapRealVector31.projection((org.apache.commons.math.linear.RealVector)openMapRealVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = openMapRealVector30.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    java.util.Iterator iterator35 = openMapRealVector31.iterator();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector38 = openMapRealVector36.projection((org.apache.commons.math.linear.RealVector)openMapRealVector37);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = openMapRealVector37.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector37.append(100.0d);
    double d43 = openMapRealVector31.getDistance(openMapRealVector37);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = openMapRealVector37.mapAdd(0.19334632705655574d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = openMapRealVector25.subtract(openMapRealVector37);
    int i47 = openMapRealVector46.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector50 = openMapRealVector48.projection((org.apache.commons.math.linear.RealVector)openMapRealVector49);
    double[] d_array51 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector(d_array51, 100.0d);
    double d54 = openMapRealVector48.getL1Distance(d_array51);
    double d55 = openMapRealVector46.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = array2DRowRealMatrix0.walkInRowOrder(realMatrixChangingVisitor6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    int i19 = openMapRealVector10.getMinIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = openMapRealMatrix23.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array27 = openMapRealMatrix23.getData();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix28 = openMapRealMatrix11.multiply((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(182.90634272672457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.676442661181894d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430806348152437d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Double[] d_array2 = new java.lang.Double[] { (-1.0d) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector(d_array2);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])d_array2);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector(d_array2, 1.4210854715202004E-14d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector11.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector16.projection((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d22 = openMapRealVector17.dotProduct(realVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector17.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector15.add((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector17.mapSubtract(1.7182818284590453d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = new org.apache.commons.math.linear.OpenMapRealVector(d_array30, 100.0d);
    org.apache.commons.math.linear.RealVector realVector33 = openMapRealVector17.combineToSelf(0.6483608274590866d, 0.0d, (org.apache.commons.math.linear.RealVector)openMapRealVector32);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector34 = openMapRealVector6.projection(realVector33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = openMapRealMatrix2.walkInColumnOrder(realMatrixPreservingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    double d6 = array2DRowRealMatrix0.getNorm();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = array2DRowRealMatrix0.walkInRowOrder(realMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-0.99999994f), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.9999999f));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(short)0, (java.lang.Number)(short)0, (java.lang.Number)(-1.0d));
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)0+ "'", number4.equals((short)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)0+ "'", number5.equals((short)0));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix17.multiplyEntry((-10), 100, 0.2613563685358317d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.5430806348152437d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.027715691979652846d));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.9576807065339024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array4 = new double[] {  };
    double d5 = openMapRealVector3.getL1Distance(d_array4);
    double d6 = openMapRealVector1.dotProduct(d_array4);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector(d_array10, 100.0d);
    double d13 = openMapRealVector7.getL1Distance(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector1.append(d_array10);
    int i15 = openMapRealVector1.getMinIndex();
    int i16 = openMapRealVector1.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(10, 10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = openMapRealVector2.getSubVector(6, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = openMapRealMatrix17.scalarAdd(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector21.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector25.projection((org.apache.commons.math.linear.RealVector)openMapRealVector26);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = openMapRealVector24.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector29 = openMapRealMatrix17.preMultiply((org.apache.commons.math.linear.RealVector)openMapRealVector28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector28);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-10.0f), 0.09503200989820414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999999f));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0f, (java.lang.Number)Double.NaN, (java.lang.Number)1.4E-45f);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.7763568E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap2 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(100, (-4.9E-324d));
    double d4 = openIntToDoubleHashMap2.remove(0);
    int i5 = openIntToDoubleHashMap2.size();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    int i12 = openMapRealMatrix6.getColumnDimension();
    openMapRealMatrix2.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector16.projection((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = openMapRealVector17.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector21.projection((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector20.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector25.projection((org.apache.commons.math.linear.RealVector)openMapRealVector26);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = openMapRealVector26.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = openMapRealVector26.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector34 = openMapRealVector32.projection((org.apache.commons.math.linear.RealVector)openMapRealVector33);
    int i35 = openMapRealVector32.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = openMapRealVector26.append((org.apache.commons.math.linear.RealVector)openMapRealVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array38 = new double[] {  };
    double d39 = openMapRealVector37.getL1Distance(d_array38);
    double d40 = openMapRealVector36.getL1Distance(d_array38);
    double d41 = openMapRealVector21.dotProduct(d_array38);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix14.setRow(0, d_array38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector10.mapAdd((-1.5707963267948966d));
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector(d_array16, 100.0d);
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector13.combine((-1.0d), Double.NaN, d_array16);
    double d20 = openMapRealVector8.getDistance(d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector10.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector13.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    java.util.Iterator iterator18 = openMapRealVector14.iterator();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = openMapRealVector20.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector20.append(100.0d);
    double d26 = openMapRealVector14.getDistance(openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = openMapRealVector20.mapAdd(0.19334632705655574d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector29 = openMapRealMatrix5.preMultiply((org.apache.commons.math.linear.RealVector)openMapRealVector28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector28);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.5370292721463151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5370292721463151d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = openMapRealMatrix23.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array27 = openMapRealMatrix23.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix28 = openMapRealMatrix11.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix32 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix35 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix36 = openMapRealMatrix32.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix35);
    org.apache.commons.math.linear.RealMatrix realMatrix38 = openMapRealMatrix35.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array39 = openMapRealMatrix35.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable29, (java.lang.Object[])d_array_array39);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix11.setSubMatrix(d_array_array39, (-1023), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = openMapRealMatrix14.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array18 = openMapRealMatrix14.getData();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, (java.lang.Object[])d_array_array18);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setSubMatrix(d_array_array18, (-1023), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix17.setColumnVector(6, realVector21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    openMapRealMatrix2.multiplyEntry(1, 0, 0.5370292721463151d);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = openMapRealMatrix14.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix17);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix20 = openMapRealMatrix2.multiply((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix18);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = openMapRealMatrix23.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array27 = openMapRealMatrix23.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix28 = openMapRealMatrix11.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    double d29 = openMapRealMatrix23.getFrobeniusNorm();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix32 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix35 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix36 = openMapRealMatrix32.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix35);
    double[] d_array38 = openMapRealMatrix35.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix41 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix44 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix45 = openMapRealMatrix41.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix44);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix46 = openMapRealMatrix41.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix47 = openMapRealMatrix35.subtract(openMapRealMatrix41);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix50 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix53 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix54 = openMapRealMatrix50.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix53);
    org.apache.commons.math.linear.RealMatrix realMatrix56 = openMapRealMatrix53.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array57 = openMapRealMatrix53.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix58 = openMapRealMatrix41.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix53);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix59 = openMapRealMatrix23.multiply((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix53);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.0E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-12d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    int i17 = openMapRealMatrix11.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix25 = openMapRealMatrix11.add(openMapRealMatrix24);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix26 = openMapRealMatrix5.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix24);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix29 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix32 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix33 = openMapRealMatrix29.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix32);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix34 = openMapRealMatrix5.multiply((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix33);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = openMapRealMatrix6.copy();
    int i12 = openMapRealMatrix6.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = openMapRealMatrix15.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix18);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = openMapRealMatrix6.add(openMapRealMatrix19);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setColumnMatrix((-10), (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix20);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(10, 1);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    int i12 = openMapRealMatrix6.getColumnDimension();
    openMapRealMatrix2.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix21 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix22 = openMapRealMatrix18.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix21);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix6.setColumnMatrix((-10), (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix22);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    double[][] d_array_array6 = array2DRowRealMatrix0.getDataRef();
    double[][] d_array_array7 = array2DRowRealMatrix0.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    int i12 = openMapRealMatrix6.getColumnDimension();
    openMapRealMatrix2.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix15 = openMapRealMatrix6.getColumnMatrix(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector11.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector16.projection((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d22 = openMapRealVector17.dotProduct(realVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector17.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector15.add((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.mapSubtractToSelf(1.4210854715202004E-14d);
    double d29 = openMapRealVector17.getL1Distance(realVector28);
    double d30 = openMapRealVector1.getL1Distance(realVector28);
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector1.mapMultiply(0.027241040673019475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    int i17 = openMapRealMatrix11.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix25 = openMapRealMatrix11.add(openMapRealMatrix24);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix26 = openMapRealMatrix5.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix24);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor27 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = openMapRealMatrix26.walkInOptimizedOrder(realMatrixPreservingVisitor27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix26);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector8.mapDivideToSelf(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector13 = openMapRealVector11.projection((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector12.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector16.projection((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector15.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector23.projection((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    double d26 = openMapRealVector21.dotProduct(realVector25);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = openMapRealVector21.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector29 = openMapRealVector19.add((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector33 = openMapRealVector31.projection((org.apache.commons.math.linear.RealVector)openMapRealVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = openMapRealVector32.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = openMapRealVector32.append(100.0d);
    double d38 = openMapRealVector30.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector41 = openMapRealVector39.projection((org.apache.commons.math.linear.RealVector)openMapRealVector40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = openMapRealVector40.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector46 = openMapRealVector44.projection((org.apache.commons.math.linear.RealVector)openMapRealVector45);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = openMapRealVector43.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector50 = openMapRealVector48.projection((org.apache.commons.math.linear.RealVector)openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector53 = openMapRealVector51.projection((org.apache.commons.math.linear.RealVector)openMapRealVector52);
    double d54 = openMapRealVector49.dotProduct(realVector53);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector56 = openMapRealVector49.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector57 = openMapRealVector47.add((org.apache.commons.math.linear.RealVector)openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector59 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector61 = openMapRealVector59.mapSubtractToSelf(1.4210854715202004E-14d);
    org.apache.commons.math.linear.RealVector realVector62 = openMapRealVector49.add(realVector61);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector63 = openMapRealVector32.subtract(openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector64 = openMapRealVector8.subtract(openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector65 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector64);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealVector64.unitize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector64);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = openMapRealMatrix23.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array27 = openMapRealMatrix23.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix28 = openMapRealMatrix11.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix30 = openMapRealMatrix23.power(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix13);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix10);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix7.subtract(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-2.3012989023072947d), 182.90634272672457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.012581179228306708d));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = openMapRealMatrix5.walkInOptimizedOrder(realMatrixPreservingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.add(openMapRealMatrix15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = openMapRealMatrix2.transpose();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector24 = openMapRealVector22.projection((org.apache.commons.math.linear.RealVector)openMapRealVector23);
    double d25 = openMapRealVector20.dotProduct(realVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = openMapRealVector20.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector30 = openMapRealVector28.projection((org.apache.commons.math.linear.RealVector)openMapRealVector29);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = openMapRealVector29.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector35 = openMapRealVector33.projection((org.apache.commons.math.linear.RealVector)openMapRealVector34);
    boolean b36 = openMapRealVector32.equals((java.lang.Object)openMapRealVector34);
    double d37 = openMapRealVector32.getNorm();
    double d38 = openMapRealVector32.getNorm();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector41 = openMapRealVector39.projection((org.apache.commons.math.linear.RealVector)openMapRealVector40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = openMapRealVector40.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector46 = openMapRealVector44.projection((org.apache.commons.math.linear.RealVector)openMapRealVector45);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = openMapRealVector43.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector50 = openMapRealVector48.projection((org.apache.commons.math.linear.RealVector)openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector53 = openMapRealVector51.projection((org.apache.commons.math.linear.RealVector)openMapRealVector52);
    double d54 = openMapRealVector49.dotProduct(realVector53);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector56 = openMapRealVector49.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector57 = openMapRealVector47.add((org.apache.commons.math.linear.RealVector)openMapRealVector49);
    org.apache.commons.math.linear.RealVector realVector59 = openMapRealVector49.mapSubtract(1.7182818284590453d);
    double[] d_array62 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector64 = new org.apache.commons.math.linear.OpenMapRealVector(d_array62, 100.0d);
    org.apache.commons.math.linear.RealVector realVector65 = openMapRealVector49.combineToSelf(0.6483608274590866d, 0.0d, (org.apache.commons.math.linear.RealVector)openMapRealVector64);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector67 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array68 = new double[] {  };
    double d69 = openMapRealVector67.getL1Distance(d_array68);
    double[] d_array70 = array2DRowRealMatrix66.preMultiply(d_array68);
    boolean b71 = openMapRealVector49.equals((java.lang.Object)d_array68);
    double d72 = openMapRealVector32.getL1Distance(d_array68);
    double d73 = openMapRealVector20.dotProduct(d_array68);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix2.setRow((-1), d_array68);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap2 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(1, 100.0d);
    org.apache.commons.math.util.OpenIntToDoubleHashMap.Iterator iterator3 = openIntToDoubleHashMap2.iterator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator3);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector21.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector21.append(100.0d);
    double d27 = openMapRealVector19.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = openMapRealVector31.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector37 = openMapRealVector35.projection((org.apache.commons.math.linear.RealVector)openMapRealVector36);
    boolean b38 = openMapRealVector34.equals((java.lang.Object)openMapRealVector36);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array40 = new double[] {  };
    double d41 = openMapRealVector39.getL1Distance(d_array40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector36.projection(d_array40);
    org.apache.commons.math.linear.RealVector realVector43 = openMapRealVector19.combineToSelf(0.5370292721463151d, 1.5607966601082315d, d_array40);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array40);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix44.addToEntry(1, (-1), 3216.990877275948d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap2 = new org.apache.commons.math.util.OpenIntToDoubleHashMap((-1), 1.7182818284590453d);
    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap3 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(openIntToDoubleHashMap2);
    org.apache.commons.math.util.OpenIntToDoubleHashMap.Iterator iterator4 = openIntToDoubleHashMap2.iterator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator4);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5607966601082317d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(6, 0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = openMapRealVector4.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = openMapRealVector4.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    int i13 = openMapRealVector10.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector4.append((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    double d15 = openMapRealVector4.getLInfNorm();
    // The following exception was thrown during execution in test generation
    try {
      double d16 = openMapRealVector2.cosine((org.apache.commons.math.linear.RealVector)openMapRealVector4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.027715691979652846d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector8.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    int i17 = openMapRealVector14.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector8.append((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array20 = new double[] {  };
    double d21 = openMapRealVector19.getL1Distance(d_array20);
    double d22 = openMapRealVector18.getL1Distance(d_array20);
    double d23 = openMapRealVector18.getMinValue();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector26 = openMapRealVector24.projection((org.apache.commons.math.linear.RealVector)openMapRealVector25);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = openMapRealVector25.mapAdd((-1.5707963267948966d));
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector(d_array31, 100.0d);
    org.apache.commons.math.linear.RealVector realVector34 = openMapRealVector28.combine((-1.0d), Double.NaN, d_array31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector(d_array31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = openMapRealVector18.append((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector36);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector40 = openMapRealVector38.projection((org.apache.commons.math.linear.RealVector)openMapRealVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector41 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector43 = openMapRealVector41.projection((org.apache.commons.math.linear.RealVector)openMapRealVector42);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = openMapRealVector42.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector47 = openMapRealVector45.mapMultiplyToSelf(91.45317136336229d);
    double d48 = openMapRealVector39.getLInfDistance((org.apache.commons.math.linear.RealVector)openMapRealVector45);
    double d49 = openMapRealVector1.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.RealVector realVector20 = openMapRealVector10.mapSubtract(1.7182818284590453d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector21.projection((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector22.mapAdd((-1.5707963267948966d));
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector(d_array28, 100.0d);
    org.apache.commons.math.linear.RealVector realVector31 = openMapRealVector25.combine((-1.0d), Double.NaN, d_array28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = new org.apache.commons.math.linear.OpenMapRealVector(d_array28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector10.append(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix9 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = openMapRealMatrix6.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix9);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix6);
    int i12 = openMapRealMatrix6.getColumnDimension();
    openMapRealMatrix2.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)openMapRealMatrix6);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = openMapRealMatrix6.scalarAdd(2.697783723013432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.027241040673019475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02723767265157567d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    int i17 = openMapRealMatrix11.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix25 = openMapRealMatrix11.add(openMapRealMatrix24);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix26 = openMapRealMatrix5.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix31 = openMapRealMatrix5.getSubMatrix(100, 6, (-1023), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix26);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(63.999992f, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 63.99999f);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.multiplyEntry(1, (-1023), 0.09503200989820414d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    double d5 = openMapRealVector1.getMinValue();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector11.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    // The following exception was thrown during execution in test generation
    try {
      openMapRealVector1.setSubVector(10, (org.apache.commons.math.linear.RealVector)openMapRealVector15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.09517511482922147d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.004518940828273d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5752220392306202d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = array2DRowRealMatrix0.walkInColumnOrder(realMatrixChangingVisitor6, 0, 0, 0, (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(1);
    double d3 = openIntToDoubleHashMap1.remove((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector21.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector21.append(100.0d);
    double d27 = openMapRealVector19.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = openMapRealVector31.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector37 = openMapRealVector35.projection((org.apache.commons.math.linear.RealVector)openMapRealVector36);
    boolean b38 = openMapRealVector34.equals((java.lang.Object)openMapRealVector36);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array40 = new double[] {  };
    double d41 = openMapRealVector39.getL1Distance(d_array40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector36.projection(d_array40);
    org.apache.commons.math.linear.RealVector realVector43 = openMapRealVector19.combineToSelf(0.5370292721463151d, 1.5607966601082315d, d_array40);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array40);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array47 = new double[] {  };
    double d48 = openMapRealVector46.getL1Distance(d_array47);
    double[] d_array49 = array2DRowRealMatrix45.preMultiply(d_array47);
    double d50 = array2DRowRealMatrix45.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix51 = array2DRowRealMatrix44.multiply(array2DRowRealMatrix45);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector4.mapAddToSelf(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector11.mapAddToSelf(100.0d);
    double d14 = openMapRealVector6.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.projection((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector16.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    boolean b23 = openMapRealVector19.equals((java.lang.Object)openMapRealVector21);
    double d24 = openMapRealVector19.getNorm();
    double d25 = openMapRealVector19.getNorm();
    double d26 = openMapRealVector11.dotProduct(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-1.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.9999998f));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    long long2 = org.apache.commons.math.util.FastMath.min(2L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector21.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector21.append(100.0d);
    double d27 = openMapRealVector19.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = openMapRealVector31.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector37 = openMapRealVector35.projection((org.apache.commons.math.linear.RealVector)openMapRealVector36);
    boolean b38 = openMapRealVector34.equals((java.lang.Object)openMapRealVector36);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array40 = new double[] {  };
    double d41 = openMapRealVector39.getL1Distance(d_array40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector36.projection(d_array40);
    org.apache.commons.math.linear.RealVector realVector43 = openMapRealVector19.combineToSelf(0.5370292721463151d, 1.5607966601082315d, d_array40);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array40);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor45 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d50 = array2DRowRealMatrix44.walkInOptimizedOrder(realMatrixPreservingVisitor45, 6, (-10), 0, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math.linear.Array2DRowRealMatrix(6, 6);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(-1.0f), (java.lang.Number)(-1.0038848218538872d), (java.lang.Number)1L);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(short)0, (java.lang.Number)(short)0, (java.lang.Number)(-1.0d));
    java.lang.Number number8 = outOfRangeException7.getArgument();
    outOfRangeException3.addSuppressed((java.lang.Throwable)outOfRangeException7);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix13.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix16);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = openMapRealMatrix16.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array20 = openMapRealMatrix16.getData();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, (java.lang.Object[])d_array_array20);
    outOfRangeException3.addSuppressed((java.lang.Throwable)mathArithmeticException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)0+ "'", number8.equals((short)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    double d9 = openMapRealVector4.getNorm();
    int i10 = openMapRealVector4.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector(0);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(0.0d);
    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap2 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(openIntToDoubleHashMap1);
    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap3 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(openIntToDoubleHashMap1);
    double d5 = openIntToDoubleHashMap1.get((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.1920928955078133E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6469779601696886E-23d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double d1 = array2DRowRealMatrix0.getFrobeniusNorm();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = openMapRealVector4.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = openMapRealVector7.mapAddToSelf(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector11.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = openMapRealVector11.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = openMapRealVector18.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector24 = openMapRealVector22.projection((org.apache.commons.math.linear.RealVector)openMapRealVector23);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = openMapRealVector21.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector31 = openMapRealVector29.projection((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    double d32 = openMapRealVector27.dotProduct(realVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = openMapRealVector27.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector35 = openMapRealVector25.add((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector38 = openMapRealVector36.mapSubtractToSelf(1.4210854715202004E-14d);
    double d39 = openMapRealVector27.getL1Distance(realVector38);
    double d40 = openMapRealVector11.getL1Distance(realVector38);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector41 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector43 = openMapRealVector41.projection((org.apache.commons.math.linear.RealVector)openMapRealVector42);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = openMapRealVector42.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector48 = openMapRealVector46.projection((org.apache.commons.math.linear.RealVector)openMapRealVector47);
    boolean b49 = openMapRealVector45.equals((java.lang.Object)openMapRealVector47);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector50 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array51 = new double[] {  };
    double d52 = openMapRealVector50.getL1Distance(d_array51);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = openMapRealVector47.projection(d_array51);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = openMapRealVector11.ebeMultiply(d_array51);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = openMapRealVector7.append(openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector56 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector57 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector58 = openMapRealVector56.projection((org.apache.commons.math.linear.RealVector)openMapRealVector57);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = openMapRealVector57.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector61 = openMapRealVector11.add((org.apache.commons.math.linear.RealVector)openMapRealVector60);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setRowVector(0, (org.apache.commons.math.linear.RealVector)openMapRealVector11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    float f2 = org.apache.commons.math.util.FastMath.max(Float.NaN, 1.7763568E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(63.999992f, 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 63.99999f);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.314901271119102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7279412160951497d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.8655103306675354d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6482516209844258d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = openMapRealVector6.mapAddToSelf(0.9813667544767973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector10);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    double[] d_array0 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(d_array0, 100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = openMapRealVector4.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector8.projection((org.apache.commons.math.linear.RealVector)openMapRealVector9);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector7.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.RealVector realVector13 = openMapRealVector11.mapDivideToSelf(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector15.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = openMapRealVector18.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector23.projection((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    double d29 = openMapRealVector24.dotProduct(realVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = openMapRealVector24.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector22.add((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector35.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = openMapRealVector35.append(100.0d);
    double d41 = openMapRealVector33.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector44 = openMapRealVector42.projection((org.apache.commons.math.linear.RealVector)openMapRealVector43);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = openMapRealVector43.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector49 = openMapRealVector47.projection((org.apache.commons.math.linear.RealVector)openMapRealVector48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector50 = openMapRealVector46.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector47);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector53 = openMapRealVector51.projection((org.apache.commons.math.linear.RealVector)openMapRealVector52);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector56 = openMapRealVector54.projection((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    double d57 = openMapRealVector52.dotProduct(realVector56);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector59 = openMapRealVector52.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector60 = openMapRealVector50.add((org.apache.commons.math.linear.RealVector)openMapRealVector52);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector61 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector52);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector62 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector64 = openMapRealVector62.mapSubtractToSelf(1.4210854715202004E-14d);
    org.apache.commons.math.linear.RealVector realVector65 = openMapRealVector52.add(realVector64);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector66 = openMapRealVector35.subtract(openMapRealVector52);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector67 = openMapRealVector11.subtract(openMapRealVector52);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector68 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector67);
    double[] d_array69 = openMapRealVector68.toArray();
    double d70 = openMapRealVector2.getL1Distance(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    double[] d_array8 = openMapRealMatrix5.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix17 = openMapRealMatrix5.subtract(openMapRealMatrix11);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = openMapRealMatrix23.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array27 = openMapRealMatrix23.getData();
    org.apache.commons.math.linear.RealMatrix realMatrix28 = openMapRealMatrix11.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.RealMatrix realMatrix29 = openMapRealMatrix23.transpose();
    org.apache.commons.math.linear.RealVector realVector31 = null;
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix23.setRowVector((-1023), realVector31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = openMapRealMatrix5.scalarMultiply((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix11.copy();
    int i17 = openMapRealMatrix11.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix20.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix23);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix25 = openMapRealMatrix11.add(openMapRealMatrix24);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix26 = openMapRealMatrix5.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array29 = new double[] {  };
    double d30 = openMapRealVector28.getL1Distance(d_array29);
    double[] d_array31 = array2DRowRealMatrix27.preMultiply(d_array29);
    double d32 = array2DRowRealMatrix27.getTrace();
    double d33 = array2DRowRealMatrix27.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix34 = openMapRealMatrix26.multiply((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    int i10 = openMapRealVector7.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array13 = new double[] {  };
    double d14 = openMapRealVector12.getL1Distance(d_array13);
    double d15 = openMapRealVector11.getL1Distance(d_array13);
    double d16 = openMapRealVector11.getMinValue();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = openMapRealVector18.mapAdd((-1.5707963267948966d));
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector(d_array24, 100.0d);
    org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector21.combine((-1.0d), Double.NaN, d_array24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector(d_array24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = openMapRealVector11.append((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.RealVector realVector31 = openMapRealVector29.mapMultiply(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap1 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(0.0d);
    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap2 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(openIntToDoubleHashMap1);
    org.apache.commons.math.util.OpenIntToDoubleHashMap openIntToDoubleHashMap3 = new org.apache.commons.math.util.OpenIntToDoubleHashMap(openIntToDoubleHashMap1);
    double d5 = openIntToDoubleHashMap3.remove((-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array8 = new double[] {  };
    double d9 = openMapRealVector7.getL1Distance(d_array8);
    double[] d_array10 = array2DRowRealMatrix6.preMultiply(d_array8);
    double d11 = array2DRowRealMatrix6.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = array2DRowRealMatrix0.add(array2DRowRealMatrix6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException");
    } catch (org.apache.commons.math.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = openMapRealVector8.append(0.5752220392306202d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector20);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector((-10), (-10), 0.9576807065339024d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.mapSubtractToSelf(1.4210854715202004E-14d);
    double d22 = openMapRealVector10.getL1Distance(realVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector(10);
    // The following exception was thrown during execution in test generation
    try {
      double d25 = openMapRealVector10.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.add(openMapRealMatrix15);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d22 = openMapRealMatrix16.walkInColumnOrder(realMatrixChangingVisitor17, 1, 10, (-10), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    int i5 = array2DRowRealMatrix0.getRowDimension();
    double[][] d_array_array6 = array2DRowRealMatrix0.getDataRef();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector11.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.mapDivideToSelf(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector20 = openMapRealVector18.projection((org.apache.commons.math.linear.RealVector)openMapRealVector19);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = openMapRealVector19.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector23.projection((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector22.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector23);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector29 = openMapRealVector27.projection((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    double d33 = openMapRealVector28.dotProduct(realVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = openMapRealVector28.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector26.add((org.apache.commons.math.linear.RealVector)openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector28);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector40 = openMapRealVector38.projection((org.apache.commons.math.linear.RealVector)openMapRealVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector39.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = openMapRealVector39.append(100.0d);
    double d45 = openMapRealVector37.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector48 = openMapRealVector46.projection((org.apache.commons.math.linear.RealVector)openMapRealVector47);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector50 = openMapRealVector47.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector53 = openMapRealVector51.projection((org.apache.commons.math.linear.RealVector)openMapRealVector52);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = openMapRealVector50.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector51);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector56 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector57 = openMapRealVector55.projection((org.apache.commons.math.linear.RealVector)openMapRealVector56);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector59 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector60 = openMapRealVector58.projection((org.apache.commons.math.linear.RealVector)openMapRealVector59);
    double d61 = openMapRealVector56.dotProduct(realVector60);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector63 = openMapRealVector56.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector64 = openMapRealVector54.add((org.apache.commons.math.linear.RealVector)openMapRealVector56);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector65 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector56);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector66 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector68 = openMapRealVector66.mapSubtractToSelf(1.4210854715202004E-14d);
    org.apache.commons.math.linear.RealVector realVector69 = openMapRealVector56.add(realVector68);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector70 = openMapRealVector39.subtract(openMapRealVector56);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector71 = openMapRealVector15.subtract(openMapRealVector56);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector72 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector71);
    double[] d_array73 = openMapRealVector72.toArray();
    double[] d_array74 = array2DRowRealMatrix0.preMultiply(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    double d9 = openMapRealVector4.getNorm();
    double d10 = openMapRealVector4.getLInfNorm();
    double d11 = openMapRealVector4.getL1Norm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector4.getSubVector((-1023), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector6 = openMapRealVector4.mapDivideToSelf(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector11.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.mapDivideToSelf(100.0d);
    double d18 = openMapRealVector4.dotProduct(openMapRealVector15);
    double d19 = openMapRealVector4.getL1Norm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array4 = new double[] {  };
    double d5 = openMapRealVector3.getL1Distance(d_array4);
    double d6 = openMapRealVector1.dotProduct(d_array4);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector8.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = openMapRealVector13.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector19 = openMapRealVector17.projection((org.apache.commons.math.linear.RealVector)openMapRealVector18);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = openMapRealVector16.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector23 = openMapRealVector21.projection((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector26 = openMapRealVector24.projection((org.apache.commons.math.linear.RealVector)openMapRealVector25);
    double d27 = openMapRealVector22.dotProduct(realVector26);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = openMapRealVector22.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector30 = openMapRealVector20.add((org.apache.commons.math.linear.RealVector)openMapRealVector22);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector22);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = openMapRealVector8.append(openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Double[] d_array36 = new java.lang.Double[] { (-1.0d) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = new org.apache.commons.math.linear.OpenMapRealVector(d_array36);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math.exception.MathArithmeticException(localizable34, (java.lang.Object[])d_array36);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector(d_array36, 1.4210854715202004E-14d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector41 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.RealVector realVector10 = openMapRealVector8.mapDivideToSelf(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector13 = openMapRealVector11.projection((org.apache.commons.math.linear.RealVector)openMapRealVector12);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = openMapRealVector12.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector16.projection((org.apache.commons.math.linear.RealVector)openMapRealVector17);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector15.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector25 = openMapRealVector23.projection((org.apache.commons.math.linear.RealVector)openMapRealVector24);
    double d26 = openMapRealVector21.dotProduct(realVector25);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = openMapRealVector21.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector29 = openMapRealVector19.add((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector33 = openMapRealVector31.projection((org.apache.commons.math.linear.RealVector)openMapRealVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = openMapRealVector32.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = openMapRealVector32.append(100.0d);
    double d38 = openMapRealVector30.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector32);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector41 = openMapRealVector39.projection((org.apache.commons.math.linear.RealVector)openMapRealVector40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = openMapRealVector40.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector46 = openMapRealVector44.projection((org.apache.commons.math.linear.RealVector)openMapRealVector45);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = openMapRealVector43.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector49 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector50 = openMapRealVector48.projection((org.apache.commons.math.linear.RealVector)openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector53 = openMapRealVector51.projection((org.apache.commons.math.linear.RealVector)openMapRealVector52);
    double d54 = openMapRealVector49.dotProduct(realVector53);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector56 = openMapRealVector49.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector57 = openMapRealVector47.add((org.apache.commons.math.linear.RealVector)openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector59 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector61 = openMapRealVector59.mapSubtractToSelf(1.4210854715202004E-14d);
    org.apache.commons.math.linear.RealVector realVector62 = openMapRealVector49.add(realVector61);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector63 = openMapRealVector32.subtract(openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector64 = openMapRealVector8.subtract(openMapRealVector49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector65 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector64);
    double[] d_array66 = openMapRealVector65.toArray();
    double[] d_array67 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector69 = new org.apache.commons.math.linear.OpenMapRealVector(d_array67, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d70 = openMapRealVector65.cosine((org.apache.commons.math.linear.RealVector)openMapRealVector69);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.add(openMapRealMatrix15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = openMapRealMatrix2.transpose();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setEntry(0, 0, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector5 = openMapRealVector3.projection((org.apache.commons.math.linear.RealVector)openMapRealVector4);
    double d6 = openMapRealVector1.dotProduct(realVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector1.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = openMapRealVector10.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector16 = openMapRealVector14.projection((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    boolean b17 = openMapRealVector13.equals((java.lang.Object)openMapRealVector15);
    double d18 = openMapRealVector13.getNorm();
    double d19 = openMapRealVector13.getNorm();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector21.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector25 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector27 = openMapRealVector25.projection((org.apache.commons.math.linear.RealVector)openMapRealVector26);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = openMapRealVector24.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector25);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector31 = openMapRealVector29.projection((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector34 = openMapRealVector32.projection((org.apache.commons.math.linear.RealVector)openMapRealVector33);
    double d35 = openMapRealVector30.dotProduct(realVector34);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = openMapRealVector30.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector38 = openMapRealVector28.add((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    org.apache.commons.math.linear.RealVector realVector40 = openMapRealVector30.mapSubtract(1.7182818284590453d);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = new org.apache.commons.math.linear.OpenMapRealVector(d_array43, 100.0d);
    org.apache.commons.math.linear.RealVector realVector46 = openMapRealVector30.combineToSelf(0.6483608274590866d, 0.0d, (org.apache.commons.math.linear.RealVector)openMapRealVector45);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array49 = new double[] {  };
    double d50 = openMapRealVector48.getL1Distance(d_array49);
    double[] d_array51 = array2DRowRealMatrix47.preMultiply(d_array49);
    boolean b52 = openMapRealVector30.equals((java.lang.Object)d_array49);
    double d53 = openMapRealVector13.getL1Distance(d_array49);
    double d54 = openMapRealVector1.dotProduct(d_array49);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector56 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector57 = openMapRealVector55.projection((org.apache.commons.math.linear.RealVector)openMapRealVector56);
    double[] d_array58 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = new org.apache.commons.math.linear.OpenMapRealVector(d_array58, 100.0d);
    double d61 = openMapRealVector55.getL1Distance(d_array58);
    // The following exception was thrown during execution in test generation
    try {
      double d62 = openMapRealVector1.cosine(d_array58);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException");
    } catch (org.apache.commons.math.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = openMapRealVector1.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector7 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector9 = openMapRealVector7.projection((org.apache.commons.math.linear.RealVector)openMapRealVector8);
    int i10 = openMapRealVector7.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = openMapRealVector1.append((org.apache.commons.math.linear.RealVector)openMapRealVector7);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array13 = new double[] {  };
    double d14 = openMapRealVector12.getL1Distance(d_array13);
    double d15 = openMapRealVector11.getL1Distance(d_array13);
    double d16 = openMapRealVector11.getMinValue();
    openMapRealVector11.set(100.0d);
    double d19 = openMapRealVector11.getSparsity();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    int i8 = openMapRealMatrix2.getColumnDimension();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix11 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix11.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix14);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix16 = openMapRealMatrix2.add(openMapRealMatrix15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = openMapRealMatrix2.transpose();
    double d18 = openMapRealMatrix2.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-1.9999999f), 1.7763568E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.9999999f));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector21.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector21.append(100.0d);
    double d27 = openMapRealVector19.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector28 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector29 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector30 = openMapRealVector28.projection((org.apache.commons.math.linear.RealVector)openMapRealVector29);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector32 = openMapRealVector29.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector35 = openMapRealVector33.projection((org.apache.commons.math.linear.RealVector)openMapRealVector34);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = openMapRealVector32.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector33);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector39 = openMapRealVector37.projection((org.apache.commons.math.linear.RealVector)openMapRealVector38);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector41 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector42 = openMapRealVector40.projection((org.apache.commons.math.linear.RealVector)openMapRealVector41);
    double d43 = openMapRealVector38.dotProduct(realVector42);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector45 = openMapRealVector38.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector46 = openMapRealVector36.add((org.apache.commons.math.linear.RealVector)openMapRealVector38);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector38);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector48 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector50 = openMapRealVector48.mapSubtractToSelf(1.4210854715202004E-14d);
    org.apache.commons.math.linear.RealVector realVector51 = openMapRealVector38.add(realVector50);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector52 = openMapRealVector21.subtract(openMapRealVector38);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector55 = openMapRealVector53.projection((org.apache.commons.math.linear.RealVector)openMapRealVector54);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector57 = openMapRealVector54.mapAdd((-1.5707963267948966d));
    double[] d_array60 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector62 = new org.apache.commons.math.linear.OpenMapRealVector(d_array60, 100.0d);
    org.apache.commons.math.linear.RealVector realVector63 = openMapRealVector57.combine((-1.0d), Double.NaN, d_array60);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector64 = new org.apache.commons.math.linear.OpenMapRealVector(d_array60);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector65 = openMapRealVector21.append(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector65);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector((-1023), 0.19334632705655574d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array10 = new double[] {  };
    double d11 = openMapRealVector9.getL1Distance(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = openMapRealVector6.projection(d_array10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector15 = openMapRealVector13.projection((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector14.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = openMapRealVector14.append(100.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    int i23 = openMapRealVector20.getDimension();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector14.append((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    double d25 = openMapRealVector12.getL1Distance((org.apache.commons.math.linear.RealVector)openMapRealVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector26.projection((org.apache.commons.math.linear.RealVector)openMapRealVector27);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = openMapRealVector27.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.mapDivideToSelf(0.0d);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector33 = openMapRealVector14.subtract((org.apache.commons.math.linear.RealVector)openMapRealVector30);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector34.projection((org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector38 = openMapRealVector35.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector40 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector41 = openMapRealVector39.projection((org.apache.commons.math.linear.RealVector)openMapRealVector40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector38.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector39);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector43 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector44 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector45 = openMapRealVector43.projection((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector46 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector47 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector48 = openMapRealVector46.projection((org.apache.commons.math.linear.RealVector)openMapRealVector47);
    double d49 = openMapRealVector44.dotProduct(realVector48);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector51 = openMapRealVector44.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector52 = openMapRealVector42.add((org.apache.commons.math.linear.RealVector)openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector53 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector44);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector54 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector55 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector56 = openMapRealVector54.projection((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector58 = openMapRealVector55.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector60 = openMapRealVector55.append(100.0d);
    double d61 = openMapRealVector53.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector55);
    double d62 = openMapRealVector14.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector53);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector63 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector64 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector65 = openMapRealVector63.projection((org.apache.commons.math.linear.RealVector)openMapRealVector64);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector67 = openMapRealVector64.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector68 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector69 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector70 = openMapRealVector68.projection((org.apache.commons.math.linear.RealVector)openMapRealVector69);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector71 = openMapRealVector67.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector68);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector72 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector73 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector74 = openMapRealVector72.projection((org.apache.commons.math.linear.RealVector)openMapRealVector73);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector75 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector76 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector77 = openMapRealVector75.projection((org.apache.commons.math.linear.RealVector)openMapRealVector76);
    double d78 = openMapRealVector73.dotProduct(realVector77);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector80 = openMapRealVector73.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector81 = openMapRealVector71.add((org.apache.commons.math.linear.RealVector)openMapRealVector73);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector82 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector73);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector83 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector84 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector85 = openMapRealVector83.projection((org.apache.commons.math.linear.RealVector)openMapRealVector84);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector87 = openMapRealVector84.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector88 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector89 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector90 = openMapRealVector88.projection((org.apache.commons.math.linear.RealVector)openMapRealVector89);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector91 = openMapRealVector87.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector88);
    org.apache.commons.math.linear.RealVector realVector93 = openMapRealVector91.mapDivideToSelf(100.0d);
    double d94 = openMapRealVector73.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector91);
    double d95 = openMapRealVector53.dotProduct((org.apache.commons.math.linear.RealVector)openMapRealVector73);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector96 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.0d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array4 = new double[] {  };
    double d5 = openMapRealVector3.getL1Distance(d_array4);
    double d6 = openMapRealVector1.dotProduct(d_array4);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array4);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = array2DRowRealMatrix7.walkInColumnOrder(realMatrixChangingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.314901271119102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    double d6 = array2DRowRealMatrix0.getNorm();
    int i7 = array2DRowRealMatrix0.getRowDimension();
    double[][] d_array_array8 = array2DRowRealMatrix0.getDataRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array8);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix13);
    double[] d_array16 = openMapRealMatrix13.getRow(1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix22 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix23 = openMapRealMatrix19.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix22);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix24 = openMapRealMatrix19.copy();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix25 = openMapRealMatrix13.subtract(openMapRealMatrix19);
    boolean b26 = openMapRealMatrix7.equals((java.lang.Object)openMapRealMatrix25);
    int i27 = openMapRealMatrix25.getRowDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    boolean b8 = openMapRealMatrix7.isSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    double d6 = array2DRowRealMatrix0.getNorm();
    double[][] d_array_array7 = array2DRowRealMatrix0.getDataRef();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = array2DRowRealMatrix0.walkInOptimizedOrder(realMatrixPreservingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array7);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix2);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix10 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix13 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix14 = openMapRealMatrix10.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix13);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = openMapRealMatrix10.copy();
    double[] d_array17 = openMapRealMatrix15.getColumn(0);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(openMapRealMatrix15);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = openMapRealMatrix2.add((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix15);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix20 = openMapRealMatrix2.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix20);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 10);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = openMapRealMatrix2.walkInColumnOrder(realMatrixChangingVisitor3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    int i7 = openMapRealMatrix5.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      openMapRealMatrix5.setEntry((-10), 10, (-0.012581179228306708d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    int i9 = openMapRealVector6.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array4 = new double[] {  };
    double d5 = openMapRealVector3.getL1Distance(d_array4);
    double d6 = openMapRealVector1.dotProduct(d_array4);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array4);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix7.getEntry(10, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix2 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix5 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix6 = openMapRealMatrix2.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix5);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix7 = openMapRealMatrix2.copy();
    double[] d_array9 = openMapRealMatrix7.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector11 = openMapRealMatrix7.getColumnVector(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector3 = new org.apache.commons.math.linear.OpenMapRealVector((-1), 10, 1.0d);
    double d4 = openMapRealVector3.getMinValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-1.0038848218538872d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.003884821853887d));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAdd((-1.5707963267948966d));
    org.apache.commons.math.linear.RealVector realVector6 = openMapRealVector4.mapSubtract(0.6483608274590866d);
    java.util.Iterator iterator7 = openMapRealVector4.sparseIterator();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = openMapRealVector4.append(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector9);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector9 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector11 = openMapRealVector9.projection((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector12 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector13 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector14 = openMapRealVector12.projection((org.apache.commons.math.linear.RealVector)openMapRealVector13);
    double d15 = openMapRealVector10.dotProduct(realVector14);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector17 = openMapRealVector10.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector18 = openMapRealVector8.add((org.apache.commons.math.linear.RealVector)openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector(openMapRealVector10);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector21 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector22 = openMapRealVector20.projection((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector24 = openMapRealVector21.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector26 = openMapRealVector21.append(100.0d);
    double d27 = openMapRealVector19.getDistance((org.apache.commons.math.linear.RealVector)openMapRealVector21);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector30 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector31 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector32 = openMapRealVector30.projection((org.apache.commons.math.linear.RealVector)openMapRealVector31);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector34 = openMapRealVector31.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector36 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector37 = openMapRealVector35.projection((org.apache.commons.math.linear.RealVector)openMapRealVector36);
    boolean b38 = openMapRealVector34.equals((java.lang.Object)openMapRealVector36);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector39 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array40 = new double[] {  };
    double d41 = openMapRealVector39.getL1Distance(d_array40);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector42 = openMapRealVector36.projection(d_array40);
    org.apache.commons.math.linear.RealVector realVector43 = openMapRealVector19.combineToSelf(0.5370292721463151d, 1.5607966601082315d, d_array40);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array40);
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix48 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix51 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix52 = openMapRealMatrix48.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix51);
    org.apache.commons.math.linear.RealMatrix realMatrix54 = openMapRealMatrix51.scalarMultiply((-1.5707963267948966d));
    double[][] d_array_array55 = openMapRealMatrix51.getData();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException56 = new org.apache.commons.math.exception.MathArithmeticException(localizable45, (java.lang.Object[])d_array_array55);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix44.setSubMatrix(d_array_array55, (-10), (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.0f, (-9.999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999999f));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    double d9 = openMapRealVector4.getNorm();
    double d10 = openMapRealVector4.getLInfNorm();
    double d11 = openMapRealVector4.getSparsity();
    java.util.Iterator iterator12 = openMapRealVector4.sparseIterator();
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix15 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix18 = new org.apache.commons.math.linear.OpenMapRealMatrix(10, 1);
    org.apache.commons.math.linear.OpenMapRealMatrix openMapRealMatrix19 = openMapRealMatrix15.subtract((org.apache.commons.math.linear.RealMatrix)openMapRealMatrix18);
    double[] d_array21 = openMapRealMatrix18.getRow(1);
    // The following exception was thrown during execution in test generation
    try {
      double d22 = openMapRealVector4.getL1Distance(d_array21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(short)0, (java.lang.Number)(short)0, (java.lang.Number)(-1.0d));
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.String str5 = outOfRangeException3.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = outOfRangeException3.getContext();
    java.lang.Number number7 = outOfRangeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.OutOfRangeException: 0 out of [0, -1] range"+ "'", str5.equals("org.apache.commons.math.exception.OutOfRangeException: 0 out of [0, -1] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (short)0+ "'", number7.equals((short)0));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    boolean b8 = openMapRealVector4.equals((java.lang.Object)openMapRealVector6);
    boolean b9 = openMapRealVector4.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    double[] d_array2 = new double[] {  };
    double d3 = openMapRealVector1.getL1Distance(d_array2);
    double[] d_array4 = array2DRowRealMatrix0.preMultiply(d_array2);
    double d5 = array2DRowRealMatrix0.getTrace();
    double d6 = array2DRowRealMatrix0.getNorm();
    double[][] d_array_array7 = array2DRowRealMatrix0.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setEntry(10, 10, 5.676442661181894d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException");
    } catch (org.apache.commons.math.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array7);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(5239.88074220734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 72.3870205368845d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { (-1.0d) };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector2 = new org.apache.commons.math.linear.OpenMapRealVector(d_array1);
    double[] d_array3 = openMapRealVector2.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector0 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector1 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector2 = openMapRealVector0.projection((org.apache.commons.math.linear.RealVector)openMapRealVector1);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector4 = openMapRealVector1.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector5 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector6 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector7 = openMapRealVector5.projection((org.apache.commons.math.linear.RealVector)openMapRealVector6);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector8 = openMapRealVector4.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector5);
    double d9 = openMapRealVector4.getNorm();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector10 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector11 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector12 = openMapRealVector10.projection((org.apache.commons.math.linear.RealVector)openMapRealVector11);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector14 = openMapRealVector11.mapAddToSelf((-1.0d));
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector15 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector16 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector17 = openMapRealVector15.projection((org.apache.commons.math.linear.RealVector)openMapRealVector16);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector18 = openMapRealVector14.ebeDivide((org.apache.commons.math.linear.RealVector)openMapRealVector15);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector19 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector20 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector21 = openMapRealVector19.projection((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector22 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector23 = new org.apache.commons.math.linear.OpenMapRealVector();
    org.apache.commons.math.linear.RealVector realVector24 = openMapRealVector22.projection((org.apache.commons.math.linear.RealVector)openMapRealVector23);
    double d25 = openMapRealVector20.dotProduct(realVector24);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector27 = openMapRealVector20.mapAddToSelf((-1.0038848218538872d));
    org.apache.commons.math.linear.RealVector realVector28 = openMapRealVector18.add((org.apache.commons.math.linear.RealVector)openMapRealVector20);
    org.apache.commons.math.linear.RealVector realVector30 = openMapRealVector20.mapSubtract(1.7182818284590453d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector35 = new org.apache.commons.math.linear.OpenMapRealVector(d_array33, 100.0d);
    org.apache.commons.math.linear.RealVector realVector36 = openMapRealVector20.combineToSelf(0.6483608274590866d, 0.0d, (org.apache.commons.math.linear.RealVector)openMapRealVector35);
    org.apache.commons.math.linear.OpenMapRealVector openMapRealVector37 = openMapRealVector4.add(openMapRealVector20);
    java.util.Iterator iterator38 = openMapRealVector20.sparseIterator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(openMapRealVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator38);

  }

}
